Subject: Re: what did I miss? #!.... doesn't work in bash
From: [email-masked] (Long Doan)

1 Nov 1996 07:20:51 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01b1 (X11; I; SunOS 5.4 sun4m)
Original-To: David Jeffers <[email-masked]>
Original-Cc: "Bret A. Schuhmacher" <[email-masked]>, [email-masked]
Original-Sender: [email-masked]

Still, the bang line must be interpreted in the other cases, like:
#!/usr/local/bin/perl, #!/bin/csh, or #!/usr/local/bin/tk. In these
cases, the first line is the only one that bash (or other shells) should
understand. In fact, bash will choke on (usable) scripts running under
those shells.

Long.

David Jeffers wrote:
> 
> >>>>> "Bret" == Bret A Schuhmacher <[email-masked]> writes:
> 
>     The bang "#!/usr/sh" line isn't really necessary for shell
>     scripts using Cygnus bash. I remember reading about a
>     "magic cookie" but all my scripts work with it or without it
>     on Win 95. NT Perl uses a BAT file to build an executable
>     so again it isn't necessary.
> 
>     For instance:
> 
>     #!/bin/sh                           <---not necessary?
> 
>     awk ' { print $1 } '
> 
> 
>     works fine since awk is in my PATH.
> 
>     I think the "#!/bin/sh" line in Cygnus simply means
>     "this is an executable" since I don't even have to
>     chmod +x after I write the scripts like I do in Linux...
[...]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".